## PDC Activate Config indication PDC Activate Config indication |

## Functions

QmiIndicationPdcActivateConfigOutput * | qmi_indication_pdc_activate_config_output_ref ()
void | qmi_indication_pdc_activate_config_output_unref ()
gboolean | qmi_indication_pdc_activate_config_output_get_token ()
gboolean | qmi_indication_pdc_activate_config_output_get_indication_result ()

## Types and Values

| QmiIndicationPdcActivateConfigOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationPdcActivateConfigOutput

## Description

## Functions

### qmi_indication_pdc_activate_config_output_ref ()

    QmiIndicationPdcActivateConfigOutput *
    qmi_indication_pdc_activate_config_output_ref
                                   (QmiIndicationPdcActivateConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationPdcActivateConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_indication_pdc_activate_config_output_unref ()

    void
    qmi_indication_pdc_activate_config_output_unref
                                   (QmiIndicationPdcActivateConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationPdcActivateConfigOutput. |

Since: 1.18

### qmi_indication_pdc_activate_config_output_get_token ()

    gboolean
    qmi_indication_pdc_activate_config_output_get_token
                                   (QmiIndicationPdcActivateConfigOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiIndicationPdcActivateConfigOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_indication_pdc_activate_config_output_get_indication_result ()

    gboolean
    qmi_indication_pdc_activate_config_output_get_indication_result
                                   (QmiIndicationPdcActivateConfigOutput *self,
                                    guint16 *value_indication_result,
                                    GError **error);

Get the 'Indication Result' field from `self` .

#### Parameters

self | a QmiIndicationPdcActivateConfigOutput. |
value_indication_result | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

## Types and Values

### QmiIndicationPdcActivateConfigOutput

    typedef struct _QmiIndicationPdcActivateConfigOutput QmiIndicationPdcActivateConfigOutput;

The QmiIndicationPdcActivateConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18